org.glassfish.jersey.server

## Class BackgroundSchedulerLiteral

- java.lang.Object
- - org.glassfish.jersey.internal.inject.AnnotationLiteral<BackgroundScheduler>
  - - org.glassfish.jersey.server.BackgroundSchedulerLiteral

All Implemented Interfaces:
  Serializable, Annotation, BackgroundScheduler

    public final class BackgroundSchedulerLiteral
    extends org.glassfish.jersey.internal.inject.AnnotationLiteral<BackgroundScheduler>
    implements BackgroundScheduler

`BackgroundScheduler` annotation literal.

This class provides a `constant instance` of the `@BackgroundScheduler` annotation to be used in method calls that require use of annotation instances.

Since:
  2.18
Author:
  Marek Potociar
See Also:
  Serialized Form

### Field Summary

Fields
`static BackgroundScheduler` `INSTANCE` `BackgroundScheduler` annotation instance.

### Method Summary

### Methods inherited from class org.glassfish.jersey.internal.inject.AnnotationLiteral

`annotationType, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Field Detail

#### INSTANCE

    public static final BackgroundScheduler INSTANCE

`BackgroundScheduler` annotation instance.